Package net.snowflake.client.core

## Class SfTimestampUtil

- java.lang.Object
- - net.snowflake.client.core.SfTimestampUtil

    @SnowflakeJdbcInternalApi
    public class SfTimestampUtil
    extends Object

### Constructor Summary

Constructors
`SfTimestampUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `getTimeInNanoseconds​(Time x)`
`static Timestamp` `getTimestampFromType​(int columnSubType, String value, SFBaseSession session, TimeZone sessionTimeZone, TimeZone tz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SfTimestampUtil

    public SfTimestampUtil()

### Method Detail

#### getTimestampFromType

    public static Timestamp getTimestampFromType​(int columnSubType,
                                                 String value,
                                                 SFBaseSession session,
                                                 TimeZone sessionTimeZone,
                                                 TimeZone tz)

#### getTimeInNanoseconds

    public static long getTimeInNanoseconds​(Time x)